Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161339 - redhat-config-users crashs when you change name of root
Summary: redhat-config-users crashs when you change name of root
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-users
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On: 105632
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 15:16 UTC by Nils Philippsen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:59:39 UTC


Attachments (Terms of Use)

Description Nils Philippsen 2005-06-22 15:16:51 UTC
+++ This bug was initially created as a clone of Bug #105632 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030530

Description of problem:
If you try to change the username of "root" the program will crash. It locks up
and prints some errors to the terminal (if you ran it from there).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run "redhat-config-users" in a term
2. Unfilter the system users
3. Go to properties of "root"
4. Change the root username to any other name.
    

Actual Results:  Locks up, it does change the name of root but many other things
start to fail at that point.

Expected Results:  Not sure honestly, either it should work cleanly or not allow
it in the first place.

Additional info:

Comment 1 RHEL Product and Program Management 2007-10-19 18:59:39 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.